summaryrefslogtreecommitdiffstats
path: root/win/tools/kmoc
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commitce4a32fe52ef09d8f5ff1dd22c001110902b60a2 (patch)
tree5ac38a06f3dde268dc7927dc155896926aaf7012 /win/tools/kmoc
downloadtdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.tar.gz
tdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdelibs@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'win/tools/kmoc')
-rwxr-xr-xwin/tools/kmoc19
1 files changed, 19 insertions, 0 deletions
diff --git a/win/tools/kmoc b/win/tools/kmoc
new file mode 100755
index 000000000..2fef8ea60
--- /dev/null
+++ b/win/tools/kmoc
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# Creates KDE-compatible .moc files out of .h files in current directory
+# .moc files are saved to moc/ subdirectory.
+# Any additional arguments are directories - kmoc will be called for each of them.
+
+mkdir -p moc
+find . -maxdepth 1 -name \*.h | while read ; do
+ grep Q_OBJECT $REPLY > /dev/null || continue
+ moc=moc/`echo $REPLY | sed -e "s/\\.h/\\.moc/;s/\\.\\///"`
+ if [ $moc -ot $REPLY ] ; then echo mocing $REPLY... ; moc $REPLY -o $moc ; fi
+done
+
+pwd=`pwd`
+while [ $# -gt 0 ] ; do
+ cd $pwd/$1 && kmoc
+ cd $pwd
+ shift
+done